import _objectAssign from './utils/objectAssign';

var convertDataToObject = function convertDataToObject(app) {
  var data = void 0;
  var rData = void 0;

  if (app.attributes['q-data']) {
    data = JSON.parse(app.attributes['q-data'].value);
  }

  if (app.attributes['q-r-data']) {
    rData = JSON.parse(app.attributes['q-r-data'].value);

    Object.keys(rData).forEach(function (key) {
      var keyArray = rData[key].split('.');
      var initKeyValue = window[keyArray[0]];
      var keyValue = initKeyValue && keyArray.length > 1 ?
      // eslint-disable-next-line arrow-body-style
      keyArray.reduce(function (obj, newKey, index) {
        return obj[newKey] || (index === keyArray.length - 1 ? undefined : obj);
      }, initKeyValue) : initKeyValue;

      rData[key] = keyValue;
    });
  }

  return _objectAssign({}, data, rData);
};

export default convertDataToObject;